Great add-on - need update for FF9 Rated 4 out of 5 stars

Great add-on Justin - would be great to have an update for FF9 and future releases. Just tried a manual fix of the compatbility number in the install.rdf file and I can confirm that while it installed, it did not work - no cascading menu from the main FL menu.